# Chief's Custom Chamber!

`Hello! I'm Chief!`

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `Overview and things to note`

You W I L L need to manually put the Custom Tape replacement into the designated folder for you to hear them. I do not know how to do this automatically ¯\_(ツ)_/¯

- Steamapps Folder
- Open your Receiver 2 steam folder (C:\Program Files (x86)\Steam\steamapps\common\Receiver 2), and paste the folder called "Receiver2_Data." to replace the existing folder
- Replace the file conflicts as we are replacing *unused tapes* in the game with custom recorded tapes for CCC&TC.


You'll (Probably) need a copy of the files needed for Ciarence's Unbelievable Modifications to actually work too *WHILE IN-GAME. (If you're using R2ModMan: Settings, 
 Browse Profile Folder to change these settings out-of game) You will need to have loaded the game with BepInExPack installed at least ONCE before the Patchers folder appears!

You can find a download for these files here listed below.

[Config](https://github.com/sinai-dev/BepInExConfigManager)   [Managers](https://github.com/BepInEx/BepInEx.ConfigurationManager)


 1. "UniverseLib.Mono.dll" & "BepInExConfigManager.Mono.dll" go in BepInEx -> Plugins folder

 2. "BepInExConfigManager.Mono.Patcher.dll" goes into the BepInEx -> Patchers folder


It is not advised when you first start R2 with Ciarence's Unbelievable Modifications to have the TurretAmmoBoxBoom enabled (MAKE TurretAmmoBoxBoom FALSE!!). 
 You can change this setting when you start R2 by pressing - F5 - to open the config manager. Then change settings as needed. ONLY AFTER you manually 
  put the Patchers and ConfigManager .dll's in the designated areas!

The ConfigManager can only be accessed IN GAME. Press F5 to open it, select your options. Then at the top of the menu, click SAFE PREFERENCES to make changes in-game.

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `Manual Install ONLY of Campaign Configs`

All files except the Icon, Manifest, & README are related to installing the config files for CCC. You will need to open Receiver 2's main folder
for Configs.

 1. Copy ALL files within the folders of WorldGenerationConfig, RankingProgressionCampaigns, PlayerLoadouts, and GlobalBaseConfigs (NOT THE FOLDER ITSELF), and paste them
 into the exact same named folder within R2. You can find the R2 main folder by opening R2 -> being in the pause menu -> Left Ctrl + F12 to open the Debug Menu
 -> Help Tab -> Open Local Folder.

 2. From there you just copy and paste, or drag and drop all the files from the same named folder (From CCC to the main R2 subfolders)

I HIGHLY suggest if you aren't already, to use R2ModMan for downloading the general mods needed and to import needed files for this to work properly.

! THIS CAMPAIGN INCLUDES MODDED GUNS AND OTHER MODDED RELATED MATERIAL, DO NOT FORGET TO INSTALL THEM (If you install this campaign manually without a Manager).
 - MP5N
 - M3S90
 - MP18
 - MP9
 - STM9
 - G36C
 - MR223

 - BepInExPack
 - CiarencesUnbelievableModifications
 - Bozos_Torture_Chamber

 - AtmosAudioFix (Optional)
 - PlaceholderCartridgeReplacer (Optional)

-------------------------------------------------------------------------------------------------------------------------------------------------------------------
-
-
-
-
-
# `Below will explain briefly about what each Rank will have to offer, and WILL contain spoilers. You have been warned.`
-
-
-
-
-
-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `What are a few examples of what has been Changed?`


1. Each Rank has its own effect and style: Rank 1 is mostly normal, Rank 2 is a stealth mission, Rank 3 will gaslight you, Rank 4 is a bullet storm, 
 Rank 5 is realization. 

2. Turrets, Drones, and Cameras can see at a slightly wider arc than normal. Ceiling Turrets have a smaller viewing angle.

3. Some guns make you move slower.

4. Added back a tile in a few Ranks, and some Ranks have tiles removed from the pool to spice things up and work better with that Ranks' quirk.

5. Hacking starts as Vanilla, but gets more difficult the further out you go.

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `V1.4.8`


- +Added 2 more types of Custom Tapes!
( Derrived from these videos: https://www.youtube.com/watch?v=Z9SButsdsvo & https://www.youtube.com/watch?v=nK9encFf-mc )

=Rank 4 Changes=
-

- X Removed Tiles: Arcade, GapAndCatwalk, and Apartments X

S1:
- Drone Alert Speed -2.0 -> 0.0

S2:
- Drone Rate 1.15 -> 1.0
- Ammo Floor Rate 0.25 -> 0.4
- Drone Alert Speed 25.5 -> 26.5
- +Added Turret Magazine Count -> 0-0

S3:
- Drone Rate 1.05 -> 0.9
- Ceiling Turret Rate -> 0.025 -> 0.005
- Patrolling Drone Rate 0.55 -> 1.0
- X Removed Turret Magazine Count X

S4:
- Drone Rate 0.9 -> 0.8
- Turret Rate 0.05 -> 0.025
- Bomb Bot Rate 0.1 -> 0.05


=Rank 5 Changes=
-

- Every tape is a Stalker Tape

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `V1.3.8`

=Rank 4 Changes=
-

- Revamped how Rank 4 plays, again.
- X Removed the following Tiles: Hospital, PatioConstructionCellar, and ArtRenovationStorage X

S1:
- Segment Area 700 -> 500
- Magazine Rate 0.5 -> 0.3
- Drone Alert Speed 0.1 -> -2
- +Added Drone Vision Angle -> 180

S2:
- Segment Area 1300 -> 1500
- Drone Alert Speed 30 -> 25.5
- Drone Rate 0.8 -> 1.15

S3:
- Segment Area 1400 -> 1500
- Ceiling Turret Rate 0.05 -> 0.025
- Drone Rate 0.6 -> 1.05

S4:
- Turret Rate 0.15 -> 0.05
- Drone Rate 0.5 -> 0.9
- Leech Bot 0.1 -> 0.05


=Rank 5 Changes=
-

S1:
- Ammo Floor Rate 0.02 -> 0.09
- +Added Bomb Bot Rate -> 0.12
- +Added Drone Alert Speed -> 10

S2:
- Ammor Floor Rate 0.05 -> 0.11
- Tape Floor Rate 0.5 -> 0.12

S3:
- Tape Floor Rate 5 -> 0.16

S4:
- Tape Floor Rate 10 -> 0.3
-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `V1.2.8`

- Forgot to add the MR223 and G36C as dependencies oops XD

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `V1.1.8`

- INTRODUCING MR223 and G36C rifles into the gun pool for Rank 3 and Rank 4 respectively!
- Added new Dependecy for PlaceholderCartridgeReplacer


=Rank 3 Changes=
-

- +Added Loadout MR233 (50% chance)
- +Turret Vision Blinded Accuracy -> 25%
- +Added +1 armor for the player, just in-case ;]

S1:
- Turret Magazine Count 0-1 -> 0-0

S2:
- Turret Magazine Count 0-2 -> 0-1

S3:
- Turret Magazine Count 2-2 -> 0-1

S4:
- Turret Magazine Count 2-3 -> 1-1 


=Rank 4 Changes=
-

- +Added Loadout G36C (33.3% chance)
- +Added Forced Tape Suicide7: Tape 4
- +Added New Segment 1

New S1:
- Segment Area -> 700
- Drone Alert Speed -> 0.001
- Tape Floor Rate -> 0.05
- Magazine Rate -> 0.5
- Capped Magazine Rate -> 0.25
- Ammo Floor Rate -> 0.2
- Blocked door = 0%
- Drone Rate -> 2

(Old S1) S2:
- +Added Drone Alert Speed -> 30

- Tape Floor Rate 0.01 -> 0.05
- Magazine Rate 0.1 -> 0.35
- Capped Magazine Rate 0.12 -> 0.4
- Ammor Floor Rate 0.15 -> 0.25
- Drone Rate 0.7 -> 0.8

S3:
- Segment Area 1200 -> 1400
- Tape Floor Rate 0.1 -> 0.1
- Drone Rate 0.4 -> 0.6

S4:
- Segment Area 1400 -> 1800
- Tape Floor Rate 0.125 -> 0.15
- Drone Rate 0.35 -> 0.5

S5:
- Tape Floor Rate 0.15 -> 0.2


=Rank 5 Changes=
-

- Starting ammo 2 -> 4

S1:
- Segment Area 800 -> 1200
- Tripmine Laser Opacity 0.004 -> 0.01
- Tape Floor Rate 0.003 -> 0.075

S2:
- X Removed Tripmine Laser Opacity X
- Tape Floor Rate  0.035 -> 0.5

S3:
- X Removed Tripmine Laser Opacity X
- Tape Floor Rate 0.25 -> 5

S4:
- +Added Tape Floor Rate -> 10
-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `V1.1.7`

- Funny Version number
- Changed README to be more understandable about the Manual Installation and rearranged Versions


=Rank 1 Changes=
-

S1:
- Turret Rate 0.55 -> 0.45


=Rank 2 Changes=
-

- Fixed issue where originally S2 of Rank 2 was supposed to have Power Leeches

S1 through S2:
-

- +Added (-) Negative infront of the HackingDangerThreshold & HackingTimeLimit values to represent that they are (mostly) not a threat.

S1:
-

- +Added Power Leech -> 0.05

S2:
-

- Power Leech Rate 0.05 -> 0.075

S3:
-

- +Added (-) Negative infront of the HackingTimeLimit value only to respresent a shift in the system.
- TurretVisionAngle 2 -> 1.5

S4:
-

- TurretVisionAngle 50 -> 20


=Rank 3 Changes=
-

- ! +Added cut tape back into the game (Bomb Bot Tape) !

(Found and collected from this: https://www.youtube.com/watch?v=gLRjkjm97_A&list=PLNGONmU3FHzms88FgCDZJXRj4tE4AEMgL&index=155)

- Doubled Starting Ammo for the STM-9 and Desert Eagle from original values
- STM-9: 5 -> 10
- Desert Eagle: 4 -> 8


=Rank 4 Changes=
-

- Fixed error where the same enemy_type value was assigned to the BombBot as the Power Leech on S3

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `V1.1.6`

- Fixed Config error where put wrong configs into the World Generation

=Rank 1 Chagnes=
-

- +Added Power Leech

S3:
- +Added Power Leech -> 0.025

S4:
- +Added Power Leech -> 0.05

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `V 1.0.6`

- +Added new Killdrone: Power Leech

=Rank 2 Changes=
-

- +Forced Tape: FlashlightNecessity

S2:
- Segment Area 1500 -> 1600
- +Turret Vision Angle -> 0.95
- Tape Floor Rate 0.15 -> 0.1
- +Added LeechBot -> 0.05

S3:
- Segment Area 1400 -> 1750
- X Removed TurretVisionRange X
- Turret Vision Angle 60 -> 2
- X Removed Turret Loaded Chamber Rate = 0% X
- +Broken Lamp Rate -> 0.3
- +Light Switch Off Rate -> 0.2
- +Added LeechBot -> 0.34
- X Removed Drones X
- Tape Floor Rate 0.25 -> 0.175

S4:
- +Turret Vision Angle -> 50
- +Turret Vision Range -> 100
- +Turret Loaded Chamber Rate = 0%
- +Added LeechBot -> 0.25
- Tape Floor Rate 0.4 -> 0.3

=Rank 3 Changes=
-

- Safe Room Distance 4 -> 7

S1:
- Turret Rate 0.4 -> 0.225

S2:
- BombBot Rate 0.15 -> 0.25
- Turret Rate 0.35 -> 0.3

S3:
- BombBot Rate 0.1 -> 0.175
- Turret Rate 0.4 -> 0.375

S4:
- BombBot Rate 0.175 -> 0.2

=Rank 4 Changes=
-

- +Added Power Leech

S2:
- +Added Power Leech -> 0.05

S3:
- +Added Power Leech -> 0.075
- +Added Bomb Bot -> 0.1

S4:
- Bomb Bot Rate 0.1 -> 0.15

=Rank 5 Changes=
-

- +Added Power Leech
- Initial Starting Ammo 1 -> 2


S1:
- +Added Power Leech -> 0.2
- X Removed Security Cameras X
- Ammo Floor Rate 0 -> 0.02
- Segment Area 1800 -> 800
- Tripmine Laser Opacity 0.3 -> 0.4
- Drone Rate 0.1 -> 0.05

S2:
- +Added Power Leech -> 0.075
- Tripmine Laser Opacity 0.1 -> 0.2
- X Removed Bomb Bot X

S3:
- +Added Power Leech -> 0.1
- Tripmine Laser Opacity 0.2 -> 0.15

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `V 1.0.5`

- Changed README again to be more, appealing.

=Rank 0 Changes=
-

- +Added Custom Golden High-Point C9 loadout
- Speed 10 -> 17
- Stealth 10 -> 15
- Ammo Count -> 0
- Pre-Chambered = True

=Rank 2 Changes=
-

- Changed Player Height 1.7 -> 1.6

S2:
- +Float Point Turret Vision Angle 0.95

=Rank 3 Changes=
-

- X Removed Apartments Tile X
- +Added Victorian Tile
- Changed Player Height 1.7 -> 1.8

S1:
- Turret Rate 0.4 -> 0.3
- Ammo Rate 0.15 -> 0.2

S2:
- Turret Rate 0.35 -> 0.25
- Ammo Rate 0.15 -> 0.3

S3:
- Turret Rate 0.4 -> 0.35
- Ammo Rate 0.2 -> 0.365

=Rank 4 Changes=
-

- Changed Player Height 1.7 -> 1.9
- +Readded Apartments Tile

=Rank 5 Changes=
-

- +Turret Pre-Chambered Rate = 100%
- Starting Ammo 3 -> 1

S1:
- Segment Area 1500 -> 1800
- TripeMine Rate 1 -> 1.3
- Drone Rate 0.075 -> 0.1
- +Added Camera -> 0.05

S2:
- Drone Rate 0.1 -> 0.125
- TripMine Rate 0 -> 0.1

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `V 1.0.4`

- Changed READ ME to include more detailed updates from now on and fixed certain issues with it.

=Global Base Configs Changes=
-

Killdrones:
- Changed Base Viewing Range/Flashlight Range of Turrets 30 -> 100
- Changed Base Vision Angle of Turrets 60 -> 50
- Changed Base Vision Flashlight Angle of Turrets 130 -> 100

- Changed Base Viewing Range/Flashlight Range of Ceiling Turrets 30 -> 100
- Changed Base Vision Angle of Ceiling Turrets 30 -> 40
- Changed Base Vision Flashlight Angle of Ceiling Turrets 30 -> 60

- Changed Base Viewing Range/Flashlight Range of Drones 30 -> 100
- Changed Base Vision Angle of Drones 70 -> 60
- Changed Base Vision Flashlight Angle of Drones 130 -> 120

- Changed Base Vision Angle of Cameras 70 -> 65
- Changed Alert Radius of Cameras 100 -> 500

=Rank 1 Changes=
-

SAA_2:
- Added one more open chamber

=Rank 2 Changes=
-

S1:
- +Float Point Vision Angle of Cameras -> 85

Gun Loadouts:
- X Removed double Glock and Sig loadouts X

=Rank 3 Changes=
-

S1:
- LowCap 0.05 -> 0.1
- UnCap 0.01 -> 0.05
- Ammo Rate 0.1 -> 0.15

S2:
- LowCap 0.1 -> 0.125
- UnCap 0.05 -> 0.075
- Ammo Rate 0.125 -> 0.15

S3:
- LowCap 0.15 --
- UnCap 0.1 --
- Ammo Rate 0.1 -> 0.2

=Rank 5 Changes=
-

S3:
- Tape Rate 0.075 -> 0.25

S4:
- X Removed Float Point Tape Rate 0.15 X

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `V 1.0.3`

- Changed README regarding CiarencesUnbelievableModifications Config Manager.

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# `V 1.0.2`

- Increased Rank 1 Ammo even MORE. Decreased enemy spawns slightly to make it flow better.
- Heavily overhauled README to be more concise and understandable

-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# ! Updates

# `V 1.0.1`

- Increased Rank 1 Ammo and Tape spawning due to feeling lacking.

-------------------------------------------------------------------------------------------------------------------------------------------------------------------


# `T H E  R A N K S  O F  C C C`

-
-------------------------------------------------------------------------------------------------------------------------------------------------------------------
-

# Rank 0: -The Signs-

"You prepare for the Threat's attack. You will become accustom to how the Threat targets potential Receivers like you."

Guns: Only the High-Point

Enemies: Turrets, Security Cameras.

-
-------------------------------------------------------------------------------------------------------------------------------------------------------------------
-

# Rank 1: -The Mindkill-

"The Mindkill is here, you barely started your training as a new trainee. The Threat has sent out its Killdrones."

Guns: SAA, M10, .38 Detective Special

Enemies: Turrets, Security Cameras, Ceiling Turrets, Power Leechs

-
-------------------------------------------------------------------------------------------------------------------------------------------------------------------
-

# Rank 2: -Anti-Pattern-

"The Threat has not detected you yet in this region. Tread carefully, do not disturb its slumber."

Guns: 1911, Glock, Sig, Beretta

Enemies: Turrets, Security Cameras, Tripmines, Ceiling Turrets, Drones, Power Leechs

-
-------------------------------------------------------------------------------------------------------------------------------------------------------------------
-

# Rank 3: -Mind on Fire-

"The Threat has began to influence you. It is trying to catch you off guard. You cannot do this alone without us, we will be watching from Reality A."

Guns: STM9, Desert Eagle

Enemies: Turrets, Security Cameras, Ceiling Turrets, Bomb Bots

-
-------------------------------------------------------------------------------------------------------------------------------------------------------------------
-

# Rank 4: -Bullet Storm-

"Your mind, has been filled with a metaphorical lead. Poisoned."

Guns: MP9, MP5N

Enemies: Drones, Security Cameras, Ceiling Turrets, Turrets, Bomb Bots, Power Leechs

-
-------------------------------------------------------------------------------------------------------------------------------------------------------------------
-

# Rank 5: -Somethings Wrong-

"..."

Guns: M3S90

Enemies: Tripmines, Drones, Bomb Bots, Security Cameras, Turrets, Ceiling Turrets, Power Leechs

-
-------------------------------------------------------------------------------------------------------------------------------------------------------------------
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-------------------------------------------------------------------------------------------------------------------------------------------------------------------

# -Omofw-

"Asivemiv. Zmkkit ait mk jsgw, gjy nlpn fm vfjrvdil."

Byev: QR18

Ivzqzhw: Uikpvzwc Eeuzvrv, Xwvzzxj, Wvktudrvv, Ggmtdrx Wytvmow, Tdqgvin, Hirrgw, Jjqs Esvw, Xjavu Pgikcw